FROM alpine:edge

RUN apk update
RUN apk add --no-cache gnumeric ttf-opensans libreoffice openjdk9-jre zip curl
RUN rm -rf /usr/share/X11 \
			/var/cache/apk/*

COPY ./env /
COPY ./entrypoint.sh /
COPY ./healthcheck.sh /
COPY ./startgo.sh /
COPY ./gotransdoc /
ADD tika /tika

RUN mkdir -p /etc/gotransdoc
COPY ./server.key /etc/gotransdoc
COPY ./server.crt /etc/gotransdoc
COPY ./sig.key /etc/gotransdoc
COPY ./sig.pub /etc/gotransdoc

ENTRYPOINT ["/entrypoint.sh"]

HEALTHCHECK CMD "/healthcheck.sh"

CMD ["/startgo.sh"]

